### Method

# WebKit2 Settings get_allow_modal_dialogs

#### Declaration [src]

    gboolean
    webkit_settings_get_allow_modal_dialogs (
      WebKitSettings* settings
    )

#### Description [src]

Get the `WebKitSettings:allow-modal-dialogs` property.

Gets property | `WebKit2.Settings:allow-modal-dialogs`

#### Return value

Returns: | `gboolean`
| `TRUE` if it’s allowed to create and run modal dialogs or `FALSE` otherwise.